Next: clog, Previous: cexp, Up: Complex

### 2.12 `cimag`, `cimagf`—imaginary part

Synopsis

         #include <complex.h>
         double cimag(double complex z);
         float cimagf(float complex z);

Description
These functions compute the imaginary part of z.

`cimagf` is identical to `cimag`, except that it performs its calculations on `floats complex`.

Returns
The cimag functions return the imaginary part value (as a real).

Portability
`cimag` and `cimagf` are ISO C99